package com.steering.pss.ydm.StuffmanageReport;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

import com.steering.comm.converter.CoreConverter;
import com.steering.comm.db.DBCommon;

public class FrmStuffStove extends DBCommon{

	/***
	 * 查询
	 * @param date1
	 * @param date2
	 * @param time
	 * @param arr
	 * @param storeNo
	 * @param heatNo
	 * @return
	 */
	public CoreReturnObject queryData(String date1,String date2,String time,String[] arr,String storeNo,String heatNo)
	{
		String sql = CoreXmlSqlParsersFactory.getSql("FrmStuffStove.queryData");
		String str = CoreConverter.toSqlConditionString("STORAGE_NO", arr);
		sql = sql.replace("#condtions#", str);
		return this.getData(sql, new Object[]{date2, date2, date1, date2, date1,
				date2, date2, date2, date1, date2, date1,
				date2, time,storeNo,heatNo, date1, date2,storeNo,heatNo,date1, date2,storeNo,heatNo,date1,date2,storeNo,heatNo,storeNo,heatNo});
	}
}
